### Function

# Gimp PDB set_data

#### Declaration [src]

    gboolean
    gimp_pdb_set_data (
      const gchar* identifier,
      gconstpointer data,
      guint32 bytes
    )

#### Description [src]

Associates the specified identifier with the supplied data.

This procedure associates the supplied data with the provided identifier. The data may be subsequently retrieved by a call to ‘procedural-db-get-data’.

#### Parameters

`identifier`

  Type: `const gchar*`

  The identifier associated with data.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: `gconstpointer`

  A byte array containing data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`bytes`

  Type: `guint32`

  The number of bytes in the data.

#### Return value

Type: `gboolean`

TRUE on success.